Subject: Re: bug#41544: 26.3; Possible incorrect results from color-distance

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jun 2020 21:45:25 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 10 Jun 2020 20:29:37 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> >  . the changes in list-colors-print
> >  . the addition of color-dark-p and the change in
> >    readable-foreground-color to use it
> >  . the replacement of css--contrasty-color with
> >    readable-foreground-color (assuming Tom doesn't object)
> 
> Thank you, pushed to master. It does not prevent extended use later on.

Thank you.

> Would still like a better reason for it than a curt dismissal without any technical argument whatsoever other than a general aversion to change. The proposed code is likely considerably better researched and tested than what it aimed to replace ever was.

I gave all the reasons I have.  They are serious, at least to me.
They have nothing to do with the quality of your research or of the
resulting code.  They have everything to do with considerations of
stability, and with weighing risks and efforts vs advantages.  If you
don't regard such considerations as technical arguments, so be it.

However, after saying that in so many different ways, I don't see any
point in continuing the argument, as we evidently disagree.  Let's
move on, we both have better things to do.